Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0016232
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionarymajoralways2011-03-11 13:252011-03-16 00:00
ReporterroklenardicView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision3644495ea91f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0RC4SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0016232: Copy Window Tabs does not work when creating new windows

DescriptionWhen using the above process inside the Windows, Tabs and Fields screen, this error is thrown:
Error:
record "row_dest_field_trl" is not assigned yet

Steps To Reproduce1) create a new custom module
2) Go to Application Dictionary || Windows, Tabs, and Fields || Window >> Tab
3) create a new window Test
4) click the Copy Window Tabs button and select the Sales Order in the dropdown
5) click OK and see the error
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0016067 closedalostale Copy Tab Fields does not work when creating new tabs in windows 
related to defect 0015203 closedalostale Copy tab fields: null value in column "name" violates not-null constraint 
depends on backport 0016249 closedalostale Copy Window Tabs does not work when creating new windows 

-  Notes
(0034764)
roklenardic (developer)
2011-03-11 13:26

The following modules are installed:
- SPLP
- Easy Extensible Attributes
- IDL
(0034774)
alostale (developer)
2011-03-14 08:03

Issue introduced when fixing 0015203
(0034779)
hgbot (developer)
2011-03-14 09:04

Repository: erp/devel/pi
Changeset: 3644495ea91f614a1758a6e8bdb66b5e82f3b748
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Mar 14 09:03:59 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3644495ea91f614a1758a6e8bdb66b5e82f3b748 [^]

fixed bug 16067, fixed bug 16232: Copy window and field don't work on PG

---
M src-db/database/model/functions/AD_TAB_COPY.xml
M src-db/database/model/functions/AD_WINDOW_COPY.xml
---
(0034903)
marvintm (developer)
2011-03-15 17:20

Works fine.

- Issue History
Date Modified Username Field Change
2011-03-11 13:25 roklenardic New Issue
2011-03-11 13:25 roklenardic Assigned To => alostale
2011-03-11 13:25 roklenardic Modules => Core
2011-03-11 13:25 roklenardic Relationship added related to 0016067
2011-03-11 13:26 roklenardic Note Added: 0034764
2011-03-14 08:03 alostale Relationship added related to 0015203
2011-03-14 08:03 alostale Note Added: 0034774
2011-03-14 08:48 alostale Status new => scheduled
2011-03-14 08:48 alostale fix_in_branch => pi
2011-03-14 09:04 hgbot Checkin
2011-03-14 09:04 hgbot Note Added: 0034779
2011-03-14 09:04 hgbot Status scheduled => resolved
2011-03-14 09:04 hgbot Resolution open => fixed
2011-03-14 09:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3644495ea91f614a1758a6e8bdb66b5e82f3b748 [^]
2011-03-15 17:20 marvintm Note Added: 0034903
2011-03-15 17:20 marvintm Status resolved => closed
2011-03-16 00:00 anonymous sf_bug_id 0 => 3214410


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker